<template>
  <div class="tab_single" :class="{'active' : id ===activeTab}">
    <div class="icon iconfont">{{icon}}</div>
    <div class="title">{{title}}</div>
  </div>
</template>

<script>
export default {
    props: {
        icon: {
            type : String,
            require :true
        },
        title: {
            type : String,
            require :true
        },
        id: {
            type : Number,
            require :true
        },
        activeTab: {
            type : Number,
            require :true
        }
    }
}
</script>

<style scoped lang="scss">
.tab_single {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 30px;
    height: 50px;
    width: 190px;
    border-radius: 15px;
    background-color: #fff;
    color: #4F4F4F;
    cursor: pointer;

    .icon {
        font-size: 25px;
    }

    .title {
        font-size: 16px;
    }

    &.active {
        background-color: #11AA66;
        color: #fff;
    }
}
</style>